Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-numatune-auto-nodeset-invalid.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-numatune-auto-nodeset-invalid.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-numatune-auto-nodeset-invalid.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-numatune-auto-prefer.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-numatune-auto-prefer.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-numatune-auto-prefer.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 9f4b6512-e73a-4a25-93e8-5307802821ce \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-numatune-memnode-no-memory.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-numatune-memnode-no-memory.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-numatune-memnode-no-memory.args
@@ -18,7 +18,9 @@ policy=preferred \
 -uuid 9f4b6512-e73a-4a25-93e8-5307802821ce \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-numatune-memnode.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-numatune-memnode.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-numatune-memnode.args
@@ -22,7 +22,9 @@ host-nodes=5,host-nodes=7,policy=bind \
 -uuid 9f4b6512-e73a-4a25-93e8-5307802821ce \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-numatune-memory.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-numatune-memory.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-numatune-memory.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-panic-double.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-panic-double.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-panic-double.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot n \
 -usb \
 -device pvpanic,ioport=1285
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-panic-no-address.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-panic-no-address.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-panic-no-address.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-panic.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-panic.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-panic.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-autoadd-addr.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pci-autoadd-addr.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-autoadd-addr.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 3ec6cbe1-b5a2-4515-b800-31a61855df41 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-fdr-br/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-fdr-br/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -device pci-bridge,chassis_nr=1,id=pci.1,bus=pci.0,addr=0x3 \
 -device pci-bridge,chassis_nr=2,id=pci.2,bus=pci.0,addr=0x4 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-autoadd-idx.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pci-autoadd-idx.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-autoadd-idx.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 3ec6cbe1-b5a2-4515-b800-31a61855df41 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-fdr-br/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-fdr-br/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -device pci-bridge,chassis_nr=8,id=pci.8,bus=pci.0,addr=0x3 \
 -device pci-bridge,chassis_nr=1,id=pci.1,bus=pci.0,addr=0x4 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-autofill-addr.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pci-autofill-addr.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-autofill-addr.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 3ec6cbe1-b5a2-4515-b800-31a61855df41 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-fdr-br/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-fdr-br/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-bridge-many-disks.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pci-bridge-many-disks.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-bridge-many-disks.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 04872dc1-e1de-434b-ab21-e3e80e416349 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-lots-of-disks/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-lots-of-disks/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -device pci-bridge,chassis_nr=1,id=pci.1,bus=pci.0,addr=0x3 \
 -device pci-bridge,chassis_nr=2,id=pci.2,bus=pci.0,addr=0x4 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-bridge.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pci-bridge.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-bridge.args
@@ -12,7 +12,9 @@ QEMU_AUDIO_DRV=none \
 -smp 2,sockets=2,cores=1,threads=1 \
 -uuid 3ec6cbe1-b5a2-4515-b800-31a61855df41 \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-fdr-br/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-fdr-br/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -device pci-bridge,chassis_nr=1,id=pci.1,bus=pci.0,addr=0x3 \
 -device pci-bridge,chassis_nr=2,id=pci.2,bus=pci.0,addr=0x4 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-expander-bus.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pci-expander-bus.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-expander-bus.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 3ec6cbe1-b5a2-4515-b800-31a61855df41 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-expander-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-expander-test/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device pxb,bus_nr=254,id=pci.1,numa_node=1,bus=pci.0,addr=0x3 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-many.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pci-many.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-many.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 3ec6cbe1-b5a2-4515-b800-31a61855df41 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-fdr-br/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-fdr-br/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -usb \
 -drive file=/var/iso/f18kde.iso,format=raw,if=none,media=cdrom,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-rom.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pci-rom.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pci-rom.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest2/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest2/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-expander-bus.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pcie-expander-bus.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-expander-bus.args
@@ -15,8 +15,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-pcie-expander-bus-te/monitor.sock,server,\
-nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-pcie-expander-bus-te/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device pxb-pcie,bus_nr=254,id=pci.1,numa_node=0,bus=pcie.0,addr=0x4 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-root-port-model-generic.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pcie-root-port-model-generic.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-root-port-model-generic.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-guest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-guest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device pcie-root-port,port=0x10,chassis=1,id=pci.1,bus=pcie.0,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-root-port-model-ioh3420.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pcie-root-port-model-ioh3420.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-root-port-model-ioh3420.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-guest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-guest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device ioh3420,port=0x10,chassis=1,id=pci.1,bus=pcie.0,multifunction=on,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-root-port.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pcie-root-port.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-root-port.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device ioh3420,port=0x10,chassis=1,id=pci.1,bus=pcie.0,multifunction=on,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-root.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pcie-root.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-root.args
@@ -13,6 +13,8 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-switch-downstream-port.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pcie-switch-downstream-port.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-switch-downstream-port.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device ioh3420,port=0x10,chassis=1,id=pci.1,bus=pcie.0,addr=0x2 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-switch-upstream-port.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pcie-switch-upstream-port.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcie-switch-upstream-port.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device ioh3420,port=0x10,chassis=1,id=pci.1,bus=pcie.0,multifunction=on,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcihole64-q35.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pcihole64-q35.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcihole64-q35.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -global q35-pcihost.pci-hole64-size=1048576K \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcihole64.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pcihole64.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pcihole64.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 3c7c30b5-7866-4b05-8a29-efebccba52a0 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-foo/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-foo/monitor.sock,server,\
+nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -global i440FX-pcihost.pci-hole64-size=1048576K \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pmu-feature-off.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pmu-feature-off.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pmu-feature-off.args
@@ -14,6 +14,8 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot n \
 -usb
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pmu-feature.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pmu-feature.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pmu-feature.args
@@ -14,6 +14,8 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot n \
 -usb
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-ppc-dtb.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-ppc-dtb.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-ppc-dtb.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 49545eb3-75e1-2d0a-acdd-f0294406c99e \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -kernel /media/ram/uImage \
 -initrd /media/ram/ramdisk \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-ppc64-usb-controller-legacy.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-ppc64-usb-controller-legacy.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-ppc64-usb-controller-legacy.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -usb \
 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-ppc64-usb-controller-qemu-xhci.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-ppc64-usb-controller-qemu-xhci.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-ppc64-usb-controller-qemu-xhci.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -device qemu-xhci,id=usb,bus=pci.0,addr=0x1 \
 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-ppc64-usb-controller.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-ppc64-usb-controller.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-ppc64-usb-controller.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -device pci-ohci,id=usb,bus=pci.0,addr=0x1 \
 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pseries-nvram.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pseries-nvram.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pseries-nvram.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 1ccfd97d-5eb4-478a-bbe6-88d254c16db7 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -usb \
 -global spapr-nvram.reg=0x4000
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pv-spinlock-disabled.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pv-spinlock-disabled.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pv-spinlock-disabled.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot n \
 -usb \
 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pv-spinlock-enabled.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-pv-spinlock-enabled.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-pv-spinlock-enabled.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot n \
 -usb \
 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-acpi-nouefi.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-acpi-nouefi.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-acpi-nouefi.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 496d7ea8-9739-544b-4ebd-ef08be936e8b \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-guest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-guest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -kernel /var/lib/libvirt/images/guest.vmlinuz \
 -initrd /var/lib/libvirt/images/guest.initramfs \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-acpi-uefi.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-acpi-uefi.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-acpi-uefi.args
@@ -18,5 +18,7 @@ unit=1 \
 -uuid 496d7ea8-9739-544b-4ebd-ef08be936e8b \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-guest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-guest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-default-devices-only.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-default-devices-only.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-default-devices-only.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device ioh3420,port=0x8,chassis=1,id=pci.1,bus=pcie.0,multifunction=on,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-multifunction.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-multifunction.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-multifunction.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device ioh3420,port=0x10,chassis=1,id=pci.1,bus=pcie.0,multifunction=on,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-noacpi-nouefi.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-noacpi-nouefi.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-noacpi-nouefi.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 496d7ea8-9739-544b-4ebd-ef08be936e8b \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-guest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-guest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -kernel /var/lib/libvirt/images/guest.vmlinuz \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-pci-force-address.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-pci-force-address.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-pci-force-address.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device i82801b11-bridge,id=pci.1,bus=pcie.0,addr=0x1e \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-pcie-autoadd.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-pcie-autoadd.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-pcie-autoadd.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device ioh3420,port=0x10,chassis=1,id=pci.1,bus=pcie.0,multifunction=on,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-pcie.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-pcie.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-pcie.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device i82801b11-bridge,id=pci.1,bus=pcie.0,addr=0x1e \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-pm-disable-fallback.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-pm-disable-fallback.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-pm-disable-fallback.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 56f5055c-1b8d-490c-844a-ad646a1caaaa \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35/monitor.sock,server,\
+nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -global PIIX4_PM.disable_s3=1 \
 -global PIIX4_PM.disable_s4=1 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-pm-disable.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-pm-disable.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-pm-disable.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 56f5055c-1b8d-490c-844a-ad646a1caaaa \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35/monitor.sock,server,\
+nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -global ICH9-LPC.disable_s3=1 \
 -global ICH9-LPC.disable_s4=1 \
